/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * This file contains all prefactors that mix the various eps-orders of the integrations after the integrations are performed 
 * to arrive at the correct eps-orders of the full bare soft function. The notation is such that PreEi is the eps^i order of the 
 * Prefactor associated with colour structure Cf^2, same-hemisphere contribution only.
 */

 // note for me: corrected mathematica mistake by adding factor -8

#include <Auxiliaries.h>
#include <Prefactors.h>
#include <Input_Common.h>
#include <cmath>
using namespace std;

double PreE0=-1024*pow(mexp,2)*pow(Pi,-2)*(-8);
double PreE1=6144*log(2)*pow(mexp,2)*pow(Pi,-2)*(-8);
double PreE2=-1024*pow(mexp,2)*pow(Pi,-2)*(pow(Pi,2) + 18*pow(log(2),2))*(-8);
double PreE3=(2048*pow(mexp,2)*pow(Pi,-2)*(-28*Zeta3 + 9*log(2)*(pow(Pi,2) + 6*pow(log(2),2))))/3.*(-8);
double PreE4=(-512*pow(mexp,2)*pow(Pi,-2)*(-672*Zeta3*log(2) + 7*pow(Pi,4) + 108*pow(Pi,2)*pow(log(2),2) + 324*pow(log(2),4)))/3.*(-8);
